cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/account_groups" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"account_group": {
"name": "Wholesale"
}
}'from exsited import build_client
client = build_client()
response = client.account_groups.create_settings_account_group(
{"account_group": {"name": "Wholesale"}}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accountGroups.createSettingsAccountGroup({account_group: {name: 'Wholesale'}});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accountGroups->createSettingsAccountGroup([
'account_group' => ['name' => 'Wholesale'],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.account_groups.account_groups_dto.AccountGroupsDto.SettingsAccountGroup;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsAccountGroup> response = client.accountGroups().createSettingsAccountGroup(
Map.of("account_group", Map.of("name", "Wholesale")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.AccountGroups.CreateSettingsAccountGroupAsync(new Dictionary<string, object?>
{
["account_group"] = new Dictionary<string, object?>
{
["name"] = "Wholesale",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accountGroups.createSettingsAccountGroup({
'account_group': {'name': 'Wholesale'},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.AccountGroups().CreateSettingsAccountGroup(context.Background(), map[string]any{
"account_group": map[string]any{"name": "Wholesale"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"account_group": {
"accounting_code": "<unknown>",
"custom_attributes": "<array>",
"description": "<unknown>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"invoice_account_media": [
"<string>"
],
"managed_by": "<unknown>",
"name": "<string>",
"object": "<string>",
"pricing_level": "<unknown>",
"state_rule": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"status": "<string>"
}
}Account groups
Create an account group
Creates an account group and returns it under account_group.
POST
/
settings
/
account_groups
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/account_groups" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"account_group": {
"name": "Wholesale"
}
}'from exsited import build_client
client = build_client()
response = client.account_groups.create_settings_account_group(
{"account_group": {"name": "Wholesale"}}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accountGroups.createSettingsAccountGroup({account_group: {name: 'Wholesale'}});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accountGroups->createSettingsAccountGroup([
'account_group' => ['name' => 'Wholesale'],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.account_groups.account_groups_dto.AccountGroupsDto.SettingsAccountGroup;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsAccountGroup> response = client.accountGroups().createSettingsAccountGroup(
Map.of("account_group", Map.of("name", "Wholesale")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.AccountGroups.CreateSettingsAccountGroupAsync(new Dictionary<string, object?>
{
["account_group"] = new Dictionary<string, object?>
{
["name"] = "Wholesale",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accountGroups.createSettingsAccountGroup({
'account_group': {'name': 'Wholesale'},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.AccountGroups().CreateSettingsAccountGroup(context.Background(), map[string]any{
"account_group": map[string]any{"name": "Wholesale"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"account_group": {
"accounting_code": "<unknown>",
"custom_attributes": "<array>",
"description": "<unknown>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"invoice_account_media": [
"<string>"
],
"managed_by": "<unknown>",
"name": "<string>",
"object": "<string>",
"pricing_level": "<unknown>",
"state_rule": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"status": "<string>"
}
}name is required. The new group comes back under account_group.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new group, under account_group.
One account group.
Show child attributes
Show child attributes